export interface Question {
    config: any;
    data_parent?: string;
    default?: any;
    id: number | string;
    isTool: boolean;
    label: string;
    name: string;
    parent_answer_value?: string;
    parent_question_id?: number;
    prefix: string;
    question_type_id?: number;
    required?: boolean;
    tempLabel?: string;
    tool?: boolean;
    tools: any;
    type: string;
    valid: boolean;
    value: any;
    noLabel?: boolean;
    wrapperClass?: string;
    disabled?: boolean;
    fullValidation?: boolean;
}
export interface Section {
    description: string;
    hasTool: boolean;
    id: number;
    isCollapsed: boolean;
    name: string;
    prefix: number;
    questions: Array<Question>;
    smartForm: any;
}
export interface Status {
    archived: number;
    display_order: number;
    email: number;
    smart_form_id: number;
    status_id: number;
    status_name: string;
    last?: boolean;
    completable?: boolean;
}
export interface Form {
    archived: boolean;
    client_id: number;
    complete: boolean;
    created_by_id: number;
    date_created: string;
    date_modified?: string;
    entity_id?: number;
    id: string;
    issue_no?: string;
    module: string;
    module_id: number;
    name: string;
    new_id?: string;
    record_timestamp: number;
    record_timestamp_formatted?: string;
    ref: string;
    scheduled: boolean;
    scoring_tool_max_value?: string;
    sections: Array<Section>;
    status?: string;
    status_id?: string;
    statuses?: Array<Status>;
    template_name?: string;
    toggle?: Array<any>;
}
